# Contributing to Raivo

We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer

## We develop with GitHub

We use GitHub to host code, to track issues and feature requests, as well as accept pull requests.

## We use 'GitHub Flow', so all code changes happen through pull requests

Pull requests are the best way to propose changes to the codebase (we use [GitHub Flow](https://guides.github.com/introduction/flow/index.html)). We actively welcome your pull requests:

1. Fork the repo and create your branch with a descriptive name (e.g. refactor-authentication).
2. Commit to your branch frequently with clear commit messages.
3. Open a Pull Request to initiate discussion about your commits.
4. Once approved by the stakeholders it can be added to the next release.
5. Profit!

## Any contributions you make will be under the same license

In short, when you submit code changes, your submissions are understood to be under the same [license](https://github.com/raivo-otp/ios-application/blob/master/LICENSE.md) that covers the project. Feel free to contact the maintainers if that's a concern.

## Report bugs using GitHub's issue functionality

We use GitHub [issues](https://github.com/raivo-otp/ios-application/issues) to track public bugs. Report a bug by [opening a new issue](https://github.com/raivo-otp/ios-application/issues/new). Please make sure your issue or feature has not yet been reported by anyone else before submitting a new one.

## Write bug reports with detail, background, and sample code

Great Bug Reports tend to have:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can.
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

People *love* thorough bug reports. I'm not even kidding.

## License

By contributing, you agree that your contributions will be licensed under the same [license](https://github.com/raivo-otp/ios-application/blob/master/LICENSE.md).